Commit 54506702 authored by Pierre Lamot's avatar Pierre Lamot
Browse files

qml: suppress verbose qml warning about connection syntax

  legacy connection syntax is required to keep compatibility with Qt <= 5.14
parent 3a3bcc45
...@@ -43,6 +43,7 @@ extern "C" char **environ; ...@@ -43,6 +43,7 @@ extern "C" char **environ;
#include <QDate> #include <QDate>
#include <QMutex> #include <QMutex>
#include <QtQuickControls2/QQuickStyle> #include <QtQuickControls2/QQuickStyle>
#include <QLoggingCategory>
#include "qt.hpp" #include "qt.hpp"
...@@ -593,6 +594,12 @@ static void *Thread( void *obj ) ...@@ -593,6 +594,12 @@ static void *Thread( void *obj )
/* Start the QApplication here */ /* Start the QApplication here */
QVLCApp app( argc, argv ); QVLCApp app( argc, argv );
#if QT_VERSION >= QT_VERSION_CHECK(5,15,1)
//suppress deprecation warnings about QML 'Connections' syntax
//legacy connection syntax is required to keep compatibility with Qt <= 5.14
QLoggingCategory::setFilterRules("qt.qml.connections.warning=false");
#endif
//app.setAttribute(Qt::AA_DontCreateNativeWidgetSiblings); //app.setAttribute(Qt::AA_DontCreateNativeWidgetSiblings);
/* Set application direction to locale direction, /* Set application direction to locale direction,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment